<template lang="pug">
title-bar {{$t("default.nav.privacy_policy")}}
b-container
	.tile.is-ancestor
		form.tile.is-vertical( @submit.prevent='save' )
			.tile.is-parent
				.tile.is-child
					b-button( node="button" type="primary" :loading='pending' fullwidth ) {{$t("buttons.save")}}
			.tile.is-parent
				b-card.tile.is-child( title="RU" )
					b-editor( v-model='content.ru' )
			.tile.is-parent
				.tile.is-child
					b-button( node="button" type="primary" :loading='pending' fullwidth ) {{$t("buttons.save")}}
			.tile.is-parent
				b-card.tile.is-child( title="EN" )
					b-editor( v-model='content.en' )
			.tile.is-parent
				.tile.is-child
					b-button( node="button" type="primary" :loading='pending' fullwidth ) {{$t("buttons.save")}}
</template>

<script setup>
	import BEditor from "@/components/Editor.vue"

	import { computed, onMounted, ref } from "vue"

	import { useSettingsStore } from "@/stores/settings"
	import { useToast } from "vue-toastification"
	import { useI18n } from "vue-i18n"

	const { t } = useI18n()
	const toast = useToast()
	const ss = useSettingsStore()

	const pending = ref(false)
	
	const content = computed({
		get: () => ss.get("privacy_content") || { ru: { data: "" }, en: { data: "" } },
		set: val => ss.settings["privacy_content"] = val
	})

	const fetch = async () => {
		await ss.getSetting("privacy_content")
	}

	const save = async () => {
		if (pending.value) return

		pending.value = true

		try {
			let data = Object.keys(content.value).map(locale => ({
				field_name: "privacy_content",
				field_value: JSON.stringify(content.value[locale]),
				lang: locale
			}))

			await ss.editSetting("privacy_content", data)
			await fetch()
			toast.success(t("default.changes_saved"))
		} catch(err) { console.error(err) }

		pending.value = false
	}

	onMounted(async () => {
		if (!ss.get("privacy_content"))
			await fetch()
	})
</script>

<style lang="scss" scoped>

</style>